@import url("https://use.typekit.net/jds1vge.css");
@import url("https://use.fontawesome.com/releases/v6.4.2/css/all.css");

@import "normalize.css";
@import "webflow.css";
@import "blacksmith-leadership.webflow.css";


.showing-modal {
    overflow: hidden;
}

.heading i {
    display: inline-block;
    width: 51px;
    height: 25px;
    background: url('/assets/images/anvil-icon.svg') no-repeat center center;
    background-size: contain;
    vertical-align: middle;
}

.cms-btn i {
    transform: rotate(-45deg);
}

.header-link .cms-btn {
    margin-top: -10px;
}

/* Change default browser select dropdown colors */

#how_to_be_contacted option {
    background-color: #f0f0f0;
    /* Use your desired color, HEX, or RGB value */
    color: #333;
    /* Set a contrasting text color for readability */
}

.w-select {
    padding: 12px 12px 0 !important; }

/* ===== Scrollbar styling for Chrome, Edge, Safari ===== */
::-webkit-scrollbar {
    width: 3px;
    height: 3px;
}

::-webkit-scrollbar-track {
    background: #030303;
    /* dark background */
}

::-webkit-scrollbar-thumb {
    background: linear-gradient(180deg,
            #e1a143 0%,
            #f9d97f 50%,
            #8d591a 100%);
    border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
    background: linear-gradient(180deg,
            #f9d97f 0%,
            #e1a143 50%,
            #8d591a 100%);
}

/* ===== Firefox ===== */
* {
    scrollbar-width: thin;
    scrollbar-color: rgba(255, 180, 0, 0.6) #030303; }

/* Sitemap */
.subMenu {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-left: 0;
}

/* Webflow Defaults */

.wf-active a:not([href]):hover {
    color: initial;
}

.w-dropdown[data-hover="true"] .w-dropdown-toggle {
    cursor: inherit;
}

.w-dropdown:not([data-hover="true"]) .w-dropdown-toggle {
    cursor: pointer;
}

.nav-menu {
    transform: none !important;
}

.select-input-wrapper .floating-form-label {
    pointer-events: none;
}

.wf-design-mode .select-input-wrapper .floating-form-label {
    pointer-events: auto;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-size: inherit;
    line-height: inherit;
    font-weight: inherit;
    display: inline-block;
    margin-top: 0px;
    margin: 0px;
}

.text-block .heading:first-child {
    margin-top: 0px;
}

.text-block table.textbox-columns-fixed-width {
    max-width: 100%;
}

.amsd-dropdown-toggle {
    white-space: normal;
}

.amsd-dropdown-toggle.w--open .amsd-dropdown-arrow-icon {
    transform: rotate(-180deg);
}

.dropdown-nav-link.w--open .dropdown-nav-link-arrow {
    transform: rotate(-180deg);
}

.fas {
    font-style: inherit;
    font-weight: 900;
}

.fa {
    font-weight: 400;
}

.footer-link a {
    color: inherit;
}

[data-icon] {
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
}

.w-lightbox-noscroll {
    overflow: visible;
}

.w-nav-overlay {
    height: 100vh !important;
}

/* Date Input Usability Fix */
input[type="date"] {
    moz-appearance: none;
    webkit-appearance: none;
    appearance: none;
}

/* create a new arrow, because we are going to mess up the native one
see "List of symbols" below if you want another, you could also try to add a font-awesome icon.. */
.form-input.date-input-wrapper:after,
input[type="date"]:after {
    font-family: "Font Awesome 6 Free";
    content: "\f073";
    font-size: 16px;
    font-weight: normal;
    font-style: inherit;
    color: #000000;
    padding: 0 5px;
    position: absolute;
    top: 15px;
    right: 12px;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
    pointer-events: none;
}

/* make the native arrow invisible and stretch it over the whole field so you can click anywhere in the input field to trigger the native datepicker*/
input[type="date"]::-webkit-calendar-picker-indicator {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: auto;
    height: auto;
    color: transparent;
    background: transparent;
    cursor: text;
}

/* adjust increase/decrease button */
input[type="date"]::-webkit-inner-spin-button {
    z-index: 1;
}

/* adjust clear button */
input[type="date"]::-webkit-clear-button {
    z-index: 1;
}

/* Select input safari fix */
.input-field.select-input {
    moz-appearance: none;
    webkit-appearance: none;
    appearance: none;
    position: relative;
}

.form-input.select-input-wrapper:after {
    font-family: "Font Awesome 6 Free";
    content: "\f078";
    font-size: 14px;
    font-weight: 900;
    font-style: inherit;
    color: #fff;
    padding: 0 5px;
    position: absolute;
    top: 20px;
    right: 24px;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
    pointer-events: none;
}

.map iframe {
    width: 100%;
    height: 100%;
}

.text-block .heading:first-child {
    margin-top: 0px;
}

.cms-btn:focus {
    outline: 0;
}

img.userUpload {
    height: auto !important;
}

.contact-form-success-message {
    display: block !important;
}

.content-block ul {
    overflow: hidden;
}

.responsive-video-embed iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.cms-btn a {
    color: inherit;
}

.w-webflow-badge {
    display: none !important;
}

.cms-backend.block ul,
.cms-backend.block ol {
    margin-left: 0px !important;
}

.cms-frontend {
    overflow-x: hidden;
    word-wrap: break-word;
}

.wf-design-mode .cms-frontend {
    overflow-x: unset;
}

html {
    overflow: unset;
}

/*--- Mobile Breakpoints --*/
@media (min-width: 992px) and (max-width: 1261px) {
    .nav-border-left,
    .nav-border-right {
        height: 70px;
    }

    .logo-home-link {
        grid-column-gap: 20px;
        grid-row-gap: 20px;
    }
}

@media (min-width: 992px) and (max-width: 1171px) {

    .navbar {
        padding: 20px;
    }

    .nav-items-wrapper,
    .secondary-nav-links {
        grid-column-gap: 20px;
        grid-row-gap: 20px;
    }

    .nav-link,
    .header-link .cms-btn {
        font-size: 18px;   
    }
}

@media (min-width: 992px) and (max-width: 1091px) {

    .nav-border-left,
    .nav-border-right {
        display: none;
    }
}

@media (max-width: 991px) {

    .w-lightbox-left,
    .w-lightbox-right {
        background-size: 15px;
    }
}

@media (max-width: 767px) {
    .slide-text-small .heading:has(i),
    .main-content-subheader .heading:has(i) {
        display: flex;
        flex-direction: column;
        align-items: center;
        row-gap: 10px;   
    }
}

@media (max-width: 768px) {
    #about-us, #services, #testimonials, #contact-us {
        scroll-margin-top: 110px;
    }
}

@media (min-width: 769px) {
    #about-us, #services, #testimonials, #contact-us {
        scroll-margin-top: 140px;
    } 
}